%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           weld-core
Version:        2.3.5
Release:        3%{?dist}
Summary:        Reference Implementation for JSR-299: Contexts and Dependency Injection (CDI)

# OFL: ./probe/core/src/main/client/font-awesome.*

# MIT: ./probe/core/target/client/app.js
# ./probe/core/target/client/basic.css
# ./probe/core/target/client/bootstrap-theme.min-3.3.1.css
# ./probe/core/target/client/bootstrap.min-3.3.1.css
# ./probe/core/target/client/bootstrap.min-3.3.1.js
# ./probe/core/target/client/d3.min-3.5.2.js
# ./probe/core/target/client/ember.prod-1.9.0.js
# ./probe/core/target/client/handlebars-v2.0.0.js
# ./probe/core/target/client/jquery-2.1.1.min.js
# ./probe/core/target/client/moment.min-2.8.4.js

# https://issues.jboss.org/browse/WELD-2173
License:        ASL 2.0 and (CDDL or GPLv2 with exceptions) and LGPLv2+ and MIT and OFL
URL:            http://weld.cdi-spec.org/
Source0:        https://github.com/weld/core/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz
Patch0:         0001-Add-support-for-newer-jboss-logging-tools.patch
Patch1:         weld-core-2.3.2.Final-Remove-gwtdev-environment.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.guava:guava)
BuildRequires:  mvn(io.undertow:undertow-servlet)
BuildRequires:  mvn(javax.el:el-api)
BuildRequires:  mvn(javax.enterprise:cdi-api)
BuildRequires:  mvn(javax.faces:jsf-api)
BuildRequires:  mvn(javax.persistence:persistence-api)
BuildRequires:  mvn(javax.portlet:portlet-api)
BuildRequires:  mvn(javax.servlet.jsp:jsp-api)
BuildRequires:  mvn(javax.transaction:jta)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.sourceforge.findbugs:annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.tomcat:tomcat-catalina)
BuildRequires:  mvn(org.codehaus.groovy:groovy-all)
BuildRequires:  mvn(org.eclipse.jetty:jetty-server:8.1)
BuildRequires:  mvn(org.eclipse.jetty:jetty-servlet:8.1)
BuildRequires:  mvn(org.eclipse.jetty:jetty-webapp:8.1)
BuildRequires:  mvn(org.eclipse.jetty:jetty-plus)
BuildRequires:  mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires:  mvn(org.jboss.arquillian:arquillian-bom:pom:)
BuildRequires:  mvn(org.jboss.classfilewriter:jboss-classfilewriter)
BuildRequires:  mvn(org.jboss:jandex)
BuildRequires:  mvn(org.jboss.jandex:jandex-maven-plugin)
BuildRequires:  mvn(org.jboss.logging:jboss-logging)
# https://issues.jboss.org/browse/WELD-2177
# https://issues.jboss.org/browse/LOGTOOL-110
BuildRequires:  mvn(org.jboss.jdeparser:jdeparser:1)
BuildRequires:  mvn(org.jboss.logging:jboss-logging-processor:1)
BuildRequires:  mvn(org.jboss.shrinkwrap:shrinkwrap-impl-base)
BuildRequires:  mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.2_spec)
BuildRequires:  mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.2_spec)
BuildRequires:  mvn(org.jboss.spec.javax.el:jboss-el-api_3.0_spec)
BuildRequires:  mvn(org.jboss.spec.javax.faces:jboss-jsf-api_2.2_spec)
BuildRequires:  mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
BuildRequires:  mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires:  mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
BuildRequires:  mvn(org.jboss.weld:weld-api)
BuildRequires:  mvn(org.jboss.weld:weld-parent:pom:)
BuildRequires:  mvn(org.jboss.weld:weld-spi)
# ./probe/core/src/main/client
Provides:       bundled(fontawesome-fonts) = 4.2.0
Provides:       bundled(fontawesome-fonts-web) = 4.2.0

%description
Weld is the reference implementation (RI) for JSR-299: Java Contexts and
Dependency Injection for the Java EE platform (CDI). CDI is the Java standard
for dependency injection and contextual lifecycle management, and integrates
cleanly with the Java EE platform. Any Java EE 6-compliant application server
provides support for JSR-299 (even the web profile). 

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n core-%{namedversion}
%patch0 -p1
%patch1 -p1

find . -name '*.jar' -exec rm {} \;
find . -name '*.class' -exec rm {} \;

# Not needed for build
%pom_remove_plugin org.eclipse.m2e:lifecycle-mapping

# We don't want to build these modules
# org.jboss.cdi.tck:cdi-tck-api:1.2.8.Final
%pom_disable_module porting-package
%pom_disable_module tests
%pom_disable_module tests-arquillian
%pom_disable_module inject-tck-runner
%pom_disable_module jboss-tck-runner
%pom_disable_module tests/base environments/servlet
%pom_disable_module tests/jetty environments/servlet
%pom_disable_module tests/tomcat environments/servlet
%pom_disable_module tests environments/se

%pom_disable_module tests probe
# ro.isdc.wro4j:wro4j-maven-plugin:1.7.7
%pom_remove_plugin ro.isdc.wro4j:wro4j-maven-plugin probe/core

# Don't ship or run checkstyle configuration, see rhbz #825355
%pom_remove_plugin org.apache.maven.plugins:maven-checkstyle-plugin

# Requires jetty6
rm -rf environments/servlet/core/src/main/java/org/jboss/weld/environment/gwtdev
%pom_remove_dep -r org.mortbay.jetty environments/servlet

# Used to compile test classes, but we do not execute tests at all
%pom_remove_plugin org.apache.maven.plugins:maven-compiler-plugin environments/se/core

# Do not bundle system libraries (e. g. com.sun.tools)
%pom_remove_plugin -r :maven-shade-plugin
%pom_remove_plugin -r :maven-shade-plugin environments/se/build environments/servlet/build
%pom_xpath_remove -r pom:dependency/pom:optional environments/se/build environments/servlet/build

%pom_change_dep org.glassfish:javax.el javax.el:el-api tests-common

%pom_xpath_set pom:properties/pom:jboss.logging.processor.version 1
%pom_change_dep -r :jboss-logging-processor ::1

%build

%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md

%files javadoc -f .mfiles-javadoc

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 21 2016 gil cattaneo <puntogil@libero.it> 2.3.5-1
- Upstream release 2.3.5.Final

* Mon Jun 20 2016 gil cattaneo <puntogil@libero.it> 2.3.2-1
- Upstream release 2.3.2.Final

* Thu Mar 10 2016 gil cattaneo <puntogil@libero.it> 2.2.6-6
- rebuilt with shrinkwrap 1.2.3

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 22 2015 Michael Simacek <msimacek@redhat.com> - 2.2.6-4
- Enable servlet environment

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 23 2015 Marek Goldmann <mgoldman@redhat.com> - 2.2.6-2
- Small fixes after moving to weld-parent 31

* Wed Jan 14 2015 Marek Goldmann <mgoldman@redhat.com> - 2.2.6-1
- Upstream release 2.2.6.Final

* Mon Aug 04 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 2.1.2-4
- Fix junit BRs (#1107142)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.1.2-2
- Use Requires: java-headless rebuild (#1067528)

* Fri Jan 10 2014 Marek Goldmann <mgoldman@redhat.com> - 2.1.2-1
- Upstream release 2.1.2.Final

* Mon Dec 30 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1.1-1
- Upstream release 2.1.1.Final

* Tue Oct 22 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-0.1.CR1
- Upstream release 2.1.0.CR1

* Wed Sep 11 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.3-1
- Upstream release 2.0.3.Final

* Thu Jul 25 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.2-1
- Upstream release 2.0.2.Final, RHBZ#983233

* Wed Jul 24 2013 Marek Goldmann <mgoldman@redhat.com> - 1.1.13-2.Final
- Use the old cdi-api in version 1.0

* Wed Jul 10 2013 Mat Booth <fedora@matbooth.co.uk> - 1.1.13-1.Final
- Update to latest 1.1.x upstream
- Switch to using pom macros, drop upstreamed patches
- Don't run or ship checkstyle config, fixed rhbz #825355
- Build se-core module, fixes rhbz #969769
- Fix FTBFS rhbz #914570

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-6.AS71.Final
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1.5-5.AS71.Final
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-4.AS71.Final
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 02 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.1.5-3.AS71.Final
- Remove binaries bundled in the tarball

* Wed Mar 21 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.1.5-2.AS71.Final
- Cleanup of the spec file

* Thu Mar 15 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.5-1.AS71.Final
- Initial packaging

